nxt.blockchain

## Class BlockchainProcessor.BlockNotAcceptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nxt.NxtException
      - - nxt.blockchain.BlockchainProcessor.BlockNotAcceptedException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BlockchainProcessor.BlockOfLowerDifficultyException, BlockchainProcessor.BlockOutOfOrderException, BlockchainProcessor.TransactionNotAcceptedException
  Enclosing interface:
    BlockchainProcessor

      public static class BlockchainProcessor.BlockNotAcceptedException
      extends NxtException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.NxtException

      `NxtException.AccountControlException, NxtException.ExistingTransactionException, NxtException.InsufficientBalanceException, NxtException.NotCurrentlyValidException, NxtException.NotValidException, NxtException.NotYetEnabledException, NxtException.NotYetEncryptedException, NxtException.NxtIOException, NxtException.StopException, NxtException.ValidationException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockNotAcceptedException(java.lang.String message, BlockImpl block)`
    `BlockNotAcceptedException(java.lang.Throwable cause, BlockImpl block)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockNotAcceptedException

          public BlockNotAcceptedException(java.lang.String message,
                                           BlockImpl block)

    - #### BlockNotAcceptedException

          public BlockNotAcceptedException(java.lang.Throwable cause,
                                           BlockImpl block)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`